import request from '@/utils/request'
//审核流-单位列表
export function auditAdminList(adminType) {
  return request({
    url: '/admin/audit/auditAdminList',
    method: 'get',
    params: { adminType }
  })
}
// 审核流公安-单位列表
export function auditSecurityAdminList(adminId) {
  return request({
    url: '/admin/audit/auditSecurityAdminList',
    method: 'get',
    params: { adminId }
  })
}

//审核流-单位人员列表
export function auditUserList(adminId) {
  return request({
    url: '/admin/user/auditUserList',
    method: 'get',
    params: { adminId }
  })
}
// ---------------------------人员审核流---------------------
// 人员审核流-新增-修改
export function personnelEdit(data) {
  return request({
    url: '/admin/audit/personnelEdit',
    method: 'post',
    data
  })
}
//人员审核流-列表
export function personnelList() {
  return request({
    url: '/admin/audit/personnelList',
    method: 'get',
    params: {}
  })
}
//人员审核流-删除
export function personnelDelete(auditId) {
  return request({
    url: '/admin/audit/personnelDelete',
    method: 'get',
    params: { auditId }
  })
}
// ---------------------------岗位审核流----------------------
//岗位审核流-生成固定环节
export function postAutoGenerate() {
  return request({
    url: '/admin/audit/postAutoGenerate',
    method: 'get',
    params: {}
  })
}
// 岗位审核流-新增-修改
export function postEdit(data) {
  return request({
    url: '/admin/audit/postEdit',
    method: 'post',
    data
  })
}
//岗位审核流-列表
export function postList() {
  return request({
    url: '/admin/audit/postList',
    method: 'get',
    params: {}
  })
}
//岗位审核流-删除
export function postDelete(deptPostAuditId) {
  return request({
    url: '/admin/audit/postDelete',
    method: 'get',
    params: {deptPostAuditId}
  })
}
// ------------------证件审核流----------
//证件审核流-新增-修改
export function passEdit(data) {
  return request({
    url: '/admin/audit/passEdit',
    method: 'post',
    data
  })
}
//证件审核流-列表
export function passList() {
  return request({
    url: '/admin/audit/passList',
    method: 'get',
    params: {}
  })
}
//证件审核流-删除
export function passDelete(passAuditId) {
  return request({
    url: '/admin/audit/passDelete',
    method: 'get',
    params: {passAuditId}
  })
}
// ------------------安全事件审核流----------
//安全事件审核流-新增-修改
export function safeThingsEdit(data) {
  return request({
    url: '/admin/audit/safeThingsEdit',
    method: 'post',
    data
  })
}
//安全事件审核流-列表
export function safeThingsList() {
  return request({
    url: '/admin/audit/safeThingsList',
    method: 'get',
    params: {}
  })
}
//机场列表
export function airportList() {
  return request({
    url: '/admin/audit/airportList',
    method: 'get',
    params: {}
  })
}
//安全事件审核流公安-列表
export function safeThingsGongAnList(adminId) {
  return request({
    url: '/admin/audit/safeThingsGongAnList',
    method: 'get',
    params: {adminId}
  })
}
